Jw, is it possible? because i didnt like ios 4 at all. I tried downloading it in cydia but it said i need ios 4